
From: Michael Hunold <hunold@convergence.de>

From: Colin Leroy <colin@colino.net>

This patch fixes a compilation error on 2.6.8-rc1.  Here's the error:
drivers/media/common/saa7146_video.c:3: conflicting types for `memory'
include/asm-m68k/setup.h:365: previous declaration of `memory' make[3]: ***
[drivers/media/common/saa7146_video.o] Error 1

Signed-off-by: Colin Leroy <colin@colino.net>
Signed-off-by: Michael Hunold <hunold@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/common/saa7146_video.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/media/common/saa7146_video.c~fix-saa7146-compilation-on-268-rc1 drivers/media/common/saa7146_video.c
--- 25/drivers/media/common/saa7146_video.c~fix-saa7146-compilation-on-268-rc1	Mon Jul 12 13:31:12 2004
+++ 25-akpm/drivers/media/common/saa7146_video.c	Mon Jul 12 13:31:12 2004
@@ -1,9 +1,9 @@
 #include <media/saa7146_vv.h>
 
-static int memory = 32;
+static int max_memory = 32;
 
-MODULE_PARM(memory,"i");
-MODULE_PARM_DESC(memory, "maximum memory usage for capture buffers (default: 32Mb)");
+MODULE_PARM(max_memory,"i");
+MODULE_PARM_DESC(max_memory, "maximum memory usage for capture buffers (default: 32Mb)");
 
 #define IS_CAPTURE_ACTIVE(fh) \
 	(((vv->video_status & STATUS_CAPTURE) != 0) && (vv->video_fh == fh))
@@ -1331,9 +1331,9 @@ static int buffer_setup(struct file *fil
 
 	*size = fh->video_fmt.sizeimage;
 
-	/* check if we exceed the "memory" parameter */
-	if( (*count * *size) > (memory*1048576) ) {
-		*count = (memory*1048576) / *size;
+	/* check if we exceed the "max_memory" parameter */
+	if( (*count * *size) > (max_memory*1048576) ) {
+		*count = (max_memory*1048576) / *size;
 	}
 	
 	DEB_CAP(("%d buffers, %d bytes each.\n",*count,*size));
_
